image: debian:buster

pipelines:
  default:
    - step:
        script:
          - apt-get update
          - apt-get install -y python3-pip git
          - pip3 install pytest
          - git clone https://bitbucket.org/_Blue/allora
          - pip3 install ./allora
          - pip3 install . # Test package installation
          - pytest brulix -vv --ignore=brulix/test/test_chat_integration.py # Xocial is required for the integration tests

